AsterNet Class Library (Sandcastle documentation)

| RegistryEvent Status Property

Get/Set the registration state.
For sip this may be one of (not sure if all of these are exposed via the manager api, at least "Registered" and "Timeout" are used though)

- Registered
- Unregistered
- Request Sent
- Auth. Sent
- Rejected
- Timeout
- No Authentication
- Unreachable

IAX2 only uses

- Rejected

Successful IAX2 registrations do not use the this property at all.

Namespace: AsterNET.Manager.Event
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public string Status { get; set; }

    Public Property Status As String
    	Get
    	Set

    public:
    property String^ Status {
    	String^ get ();
    	void set (String^ value);
    }

    member Status : string with get, set

#### Property Value

Type: String
See Also

#### Reference

RegistryEvent Class
AsterNET.Manager.Event Namespace